Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet
Interface Facet

All Known Implementing Classes:
  FacetImpl

    public interface Facet

A representation of the model object 'Facet'. context Facet inv: self.conditionQuery.scope->exists(e|self.extendedClass.isSuperTypeOf(self.superType)) context Facet inv: self.conditionQuery.retrunType.name == "EBoolean" context Facet inv: self.eStructuralFeature.isKindOf(FacetStructuralFeature)

The following features are supported:

- `Condition Query`
- `Facet Set`

See Also:
  `FacetPackage.getFacet()`

Method Summary
`ModelQuery` | `getConditionQuery()` Returns the value of the 'Condition Query' reference.
`FacetSet` | `getFacetSet()` Returns the value of the 'Facet Set' reference.
`boolean` | `isSetFacetSet()` Returns whether the value of the '`Facet Set`' reference is set.
`void` | `setConditionQuery(ModelQuery value)` Sets the value of the '`Condition Query`' reference.

Method Detail

### getConditionQuery

    ModelQuery getConditionQuery()

  Returns the value of the 'Condition Query' reference.

  If the meaning of the 'Condition Query' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition Query' reference.
  See Also:
    `setConditionQuery(ModelQuery)`, `FacetPackage.getFacet_ConditionQuery()`

### setConditionQuery

    void setConditionQuery(ModelQuery value)

  Sets the value of the '`Condition Query`' reference.

  Parameters:
    `value` - the new value of the 'Condition Query' reference.
  See Also:
    `getConditionQuery()`

### getFacetSet

    FacetSet getFacetSet()

  Returns the value of the 'Facet Set' reference. It is bidirectional and its opposite is '`Facets`'.

  If the meaning of the 'Facet Set' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Facet Set' reference.
  See Also:
    `isSetFacetSet()`, `FacetPackage.getFacet_FacetSet()`, `FacetSet.getFacets()`

### isSetFacetSet

    boolean isSetFacetSet()

  Returns whether the value of the '`Facet Set`' reference is set.

  Returns:
    whether the value of the 'Facet Set' reference is set.
  See Also:
    `getFacetSet()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD